Create Identity Control
curl --request POST \
--url https://api.example.com/v2/identity/controls \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"identity_id": "<string>",
"reason": "<string>"
}
'import requests
url = "https://api.example.com/v2/identity/controls"
payload = {
"identity_id": "<string>",
"reason": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({identity_id: '<string>', reason: '<string>'})
};
fetch('https://api.example.com/v2/identity/controls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"type": "SELL_ONLY",
"set_by": "SET_BY_PAXOS",
"is_overridable": true,
"reason_code": "OTHER",
"reason": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z"
}Identity Controls
Create Identity Control
Create a new identity control on an identity.
POST
/
v2
/
identity
/
controls
Create Identity Control
OAuth Scope
identity:write_identity_control
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
The Identity ID
The type of control applied to an identity.
SELL_ONLY: Identity may only sellCLOSED: Identity is closed and cannot perform any actionsDORMANT: Identity is dormant due to inactivity
Available options:
SELL_ONLY, CLOSED, DORMANT Reason code for why a control was applied.
OTHER: Miscellaneous reason not captured by existing categoriesEND_USER_REQUEST: Control applied at the end user's requestINACTIVITY: Control applied due to prolonged inactivity in accordance with dormancy or lifecycle management policiesCOMPLIANCE_KYC: Control applied due to unmet KYC requirements, including missing, expired, failed, or unresponsiveness to refresh obligationsCOMPLIANCE_EDD: Control applied due to Enhanced Due Diligence (EDD) requirements, including failure to complete EDD reviews, provide requested information, or satisfy heightened risk assessment criteriaCOMPLIANCE_SCREENING: Control applied as a result of sanctions, politically exposed person (PEP), or adverse media screening hitsCOMPLIANCE_INVESTIGATION: Control applied while an identity is under active compliance, risk, or regulatory investigation, including reviews triggered by monitoring alerts or external inquiriesONBOARDING_INCOMPLETE: Control applied because the onboarding process was not successfully completed, including failure to respond to requests for information or provide required documentationRISK_FRAUD: Control applied due to suspected or confirmed fraud, abuse, or security risk, including account compromise, transaction fraud, or policy violationsLEGAL_ORDER: Control applied to comply with a legal, regulatory, or law-enforcement directive, including court orders, asset preservation requests, or regulatory instructionsADMINISTRATIVE: Control applied for operational or platform-initiated reasons not attributable to the end user or compliance failure, such as system remediation or account restructuring
Available options:
OTHER, END_USER_REQUEST, INACTIVITY, COMPLIANCE_KYC, COMPLIANCE_EDD, COMPLIANCE_SCREENING, COMPLIANCE_INVESTIGATION, ONBOARDING_INCOMPLETE, RISK_FRAUD, LEGAL_ORDER, ADMINISTRATIVE Freetext reason for setting the control
Response
A successful response.
Unique identifier for this control
The type of control applied to an identity.
SELL_ONLY: Identity may only sellCLOSED: Identity is closed and cannot perform any actionsFROZEN: Identity is frozen due to compliance reasonsDORMANT: Identity is dormant due to inactivity
Available options:
SELL_ONLY, CLOSED, FROZEN, DORMANT Indicates who set the control.
Available options:
SET_BY_PAXOS, SET_BY_CLIENT Whether this control can be deleted by the client application
Reason code for why a control was applied.
OTHER: Miscellaneous reason not captured by existing categoriesEND_USER_REQUEST: Control applied at the end user's requestINACTIVITY: Control applied due to prolonged inactivity in accordance with dormancy or lifecycle management policiesCOMPLIANCE_KYC: Control applied due to unmet KYC requirements, including missing, expired, failed, or unresponsiveness to refresh obligationsCOMPLIANCE_EDD: Control applied due to Enhanced Due Diligence (EDD) requirements, including failure to complete EDD reviews, provide requested information, or satisfy heightened risk assessment criteriaCOMPLIANCE_SCREENING: Control applied as a result of sanctions, politically exposed person (PEP), or adverse media screening hitsCOMPLIANCE_INVESTIGATION: Control applied while an identity is under active compliance, risk, or regulatory investigation, including reviews triggered by monitoring alerts or external inquiriesONBOARDING_INCOMPLETE: Control applied because the onboarding process was not successfully completed, including failure to respond to requests for information or provide required documentationRISK_FRAUD: Control applied due to suspected or confirmed fraud, abuse, or security risk, including account compromise, transaction fraud, or policy violationsLEGAL_ORDER: Control applied to comply with a legal, regulatory, or law-enforcement directive, including court orders, asset preservation requests, or regulatory instructionsADMINISTRATIVE: Control applied for operational or platform-initiated reasons not attributable to the end user or compliance failure, such as system remediation or account restructuring
Available options:
OTHER, END_USER_REQUEST, INACTIVITY, COMPLIANCE_KYC, COMPLIANCE_EDD, COMPLIANCE_SCREENING, COMPLIANCE_INVESTIGATION, ONBOARDING_INCOMPLETE, RISK_FRAUD, LEGAL_ORDER, ADMINISTRATIVE Freetext reason why this identity control was set
Time this identity control was created
Time this identity control was deleted
Was this page helpful?